import { View,Image,Text, Navigator } from "@tarojs/components"
import { memo } from "react"
import styles  from './index.module.scss'
import classnames from "classnames";

export default () => {

    return (
        <View className={styles.main}>
            <Header/>
            <Main/>
        </View>
    )
}

// 头部 | 订单
const Header = memo(()=>{
    let menu = [{text: "待配布"},{text: "待付款"},{text: "待发货"},{text: "已发货"},{text: "已发货"}]
    return (
        <View className={styles.header}>
            <View className={`${styles.crad} ${styles['header-card']}`}>
                <View className={styles['card-info']}>
                    <View className={styles['arcd-info-left']}>
                        <View className={styles['arcd-info-left-portrait']}>
                            <Image src="https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fimg.jj20.com%2Fup%2Fallimg%2F1113%2F052420110515%2F200524110515-2-1200.jpg&refer=http%3A%2F%2Fimg.jj20.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=auto?sec=1652840455&t=6d2fd53931578ef6e213a929a77d059c"/>
                        </View>
                        <View className={styles['arcd-info-left-desc']}>
                            <View className={styles['arcd-info-left-nickname']}>麦兜</View>
                            <View className={styles['arcd-info-left-phone']}>131****1132</View>
                        </View>
                    </View>
                    <View className={styles['card-info-right']}>
                        <Navigator hoverClass="none" url="/pages/userEdit/index" className={styles['setup-icon']}>
                            <View className={classnames(
                                styles['icon-wrapper'],
                                'iconfont',
                                'icon-shezhi',
                            )}></View>
                            <View className={styles['icon-point']}></View>
                        </Navigator>
                    </View>
                </View>
                <View className={styles['card-main']}>
                    <View className={styles['card-main-title']}>
                        <View>订单</View>
                        <Text>全部</Text>
                    </View>
                    <View className={styles['card-main-title-content']}>
                      {
                        menu.map((item,index)=>{
                          return (
                            <View className={styles['card-main-title-content-item']}>
                                <Image src="https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fimg.jj20.com%2Fup%2Fallimg%2F1113%2F052420110515%2F200524110515-2-1200.jpg&refer=http%3A%2F%2Fimg.jj20.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=auto?sec=1652840455&t=6d2fd53931578ef6e213a929a77d059c"/>
                                <View>{item.text}</View>
                            </View>
                          )
                        })
                      }
                        
                    </View>
                </View>
            </View>
        </View>
    )
})

// 功能
const Main = memo(()=>{
    let menu = [{text: "我的收藏"},{text: "颜色对比"},{text: "分享推广"},{text: "团队邀请"}]
    return (
        <View className={`${styles.crad} ${styles['main-card']}`}>
            <View className={styles['card-main']}>
                <View style={{border: "none"}} className={styles['card-main-title']}>
                    <View>功能</View>
                </View>
                <View className={styles['card-main-title-content']}>
                    {
                      menu.map((item,index)=>{
                        return (
                          <View key={index} className={styles['card-main-title-content-item']}>
                              <Image src="https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fimg.jj20.com%2Fup%2Fallimg%2F1113%2F052420110515%2F200524110515-2-1200.jpg&refer=http%3A%2F%2Fimg.jj20.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=auto?sec=1652840455&t=6d2fd53931578ef6e213a929a77d059c"/>
                              <View>{item.text}</View>
                          </View>
                        )
                      })
                    }
                </View>
            </View>
        </View>
    )
})